Bug 61537 - Permissions problem with /etc/sysconfig/rhn/up2date.rpmnew
Summary: Permissions problem with /etc/sysconfig/rhn/up2date.rpmnew
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rpm   
(Show other bugs)
Version: 7.2
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact: Jay Turner
URL:
Whiteboard:
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-03-21 06:06 UTC by Need Real Name
Modified: 2015-01-07 23:55 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-12-28 14:12:42 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Need Real Name 2002-03-21 06:06:52 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.78 [en] (X11; U; Linux 2.4.9-21 i686)

Description of problem:
The /etc/sysconfig/rhn/up2date file is installed with 600 permissions. But the
upgrade of the package creates a file /etc/sysconfig/rhn/up2date.rpmnew with 644
permissions. If the original file is supposed to have 600 permissions shouldn't
the .rpmnew file also have 600 permissions?

Version-Release number of selected component (if applicable):


How reproducible:
Didn't try

Steps to Reproduce:
1. Run the up2date command to update the up2date package.
2.
3.
	

Additional info:

Comment 1 Adrian Likins 2002-03-21 22:50:50 UTC
up2date is mainly 600 because it could possibly contain proxy user/pass
info.

But since the standard up2date config doesnt include this, it should
be okay.

Comment 2 Adrian Likins 2002-05-08 20:53:43 UTC
of course, this sounds like a potential rpm bug, so reassigning there.

Comment 3 Jeff Johnson 2002-12-28 14:12:42 UTC
Permissions on *.rpmnew don't matter a bit, as the
file can be extracted from the package payload
using any convenient means where file permissions
are meaningless.

Note that the permissions are 600 because the file
may be locally modified.


Note You need to log in before you can comment on or make changes to this bug.